searchData={"items":[{"type":"module","title":"OpenFeature","doc":"[OpenFeature is an open specification that provides a vendor-agnostic,\ncommunity-driven API for feature flagging that works with your favorite feature flag management tool.](https://openfeature.dev)\n\n```elixir\n  ldProviderConfig =\n    OpenFeature.Providers.LaunchdarklyProvider.new()\n    |> OpenFeature.Providers.LaunchdarklyProvider.set_sdk_key(System.get_env(\"LD_SDK_KEY\"))\n\n  OpenFeature.set_provider(\n    OpenFeature.Providers.LaunchdarklyProvider,\n    ldProviderConfig\n  )\n\n  globalContext =\n    OpenFeature.Context.new_targeted_context(\"user-dov\", %{\n      kind: \"user-other\",\n      name: \"Dov\"\n    })\n\n  OpenFeature.set_global_context(globalContext)\n\n  # Create a client using the default provider\n  client = OpenFeature.Client.new()\n\n  value = OpenFeature.Client.get_boolean_value(client, \"test-flag-for-demo\", false\n```","ref":"OpenFeature.html"},{"type":"function","title":"OpenFeature.get_global_context/0","doc":"Get the global context for all clients.","ref":"OpenFeature.html#get_global_context/0"},{"type":"function","title":"OpenFeature.get_provider/0","doc":"Get the global default provider for all clients which don't specify their own.","ref":"OpenFeature.html#get_provider/0"},{"type":"function","title":"OpenFeature.set_global_context/1","doc":"Set the global context for all clients.","ref":"OpenFeature.html#set_global_context/1"},{"type":"function","title":"OpenFeature.set_provider/2","doc":"Set the global default provider for all clients which don't specify their own.","ref":"OpenFeature.html#set_provider/2"},{"type":"module","title":"OpenFeature.Application","doc":"The top-level application for OpenFeature.","ref":"OpenFeature.Application.html"},{"type":"function","title":"OpenFeature.Application.start/2","doc":"","ref":"OpenFeature.Application.html#start/2"},{"type":"module","title":"OpenFeature.Client","doc":"Client for OpenFeature.","ref":"OpenFeature.Client.html"},{"type":"function","title":"OpenFeature.Client.get_boolean_value/3","doc":"","ref":"OpenFeature.Client.html#get_boolean_value/3"},{"type":"function","title":"OpenFeature.Client.get_boolean_value/4","doc":"","ref":"OpenFeature.Client.html#get_boolean_value/4"},{"type":"function","title":"OpenFeature.Client.get_context/1","doc":"","ref":"OpenFeature.Client.html#get_context/1"},{"type":"function","title":"OpenFeature.Client.get_provider/1","doc":"","ref":"OpenFeature.Client.html#get_provider/1"},{"type":"function","title":"OpenFeature.Client.get_string_value/3","doc":"","ref":"OpenFeature.Client.html#get_string_value/3"},{"type":"function","title":"OpenFeature.Client.get_string_value/4","doc":"","ref":"OpenFeature.Client.html#get_string_value/4"},{"type":"function","title":"OpenFeature.Client.new/0","doc":"","ref":"OpenFeature.Client.html#new/0"},{"type":"function","title":"OpenFeature.Client.new/1","doc":"","ref":"OpenFeature.Client.html#new/1"},{"type":"function","title":"OpenFeature.Client.set_context/2","doc":"","ref":"OpenFeature.Client.html#set_context/2"},{"type":"function","title":"OpenFeature.Client.set_provider/3","doc":"","ref":"OpenFeature.Client.html#set_provider/3"},{"type":"module","title":"OpenFeature.Config","doc":"","ref":"OpenFeature.Config.html"},{"type":"module","title":"OpenFeature.Context","doc":"A struct that represents the context of a feature flag evaluation.","ref":"OpenFeature.Context.html"},{"type":"function","title":"OpenFeature.Context.new_targeted_context/2","doc":"","ref":"OpenFeature.Context.html#new_targeted_context/2"},{"type":"function","title":"OpenFeature.Context.new_targetless_context/1","doc":"","ref":"OpenFeature.Context.html#new_targetless_context/1"},{"type":"function","title":"OpenFeature.Context.rollup_context/1","doc":"","ref":"OpenFeature.Context.html#rollup_context/1"},{"type":"function","title":"OpenFeature.Context.rollup_context/2","doc":"","ref":"OpenFeature.Context.html#rollup_context/2"},{"type":"function","title":"OpenFeature.Context.rollup_context/3","doc":"","ref":"OpenFeature.Context.html#rollup_context/3"},{"type":"behaviour","title":"OpenFeature.Provider","doc":"","ref":"OpenFeature.Provider.html"},{"type":"callback","title":"OpenFeature.Provider.get_boolean_value/4","doc":"","ref":"OpenFeature.Provider.html#c:get_boolean_value/4"},{"type":"callback","title":"OpenFeature.Provider.get_string_value/4","doc":"","ref":"OpenFeature.Provider.html#c:get_string_value/4"},{"type":"module","title":"OpenFeature.Providers.LaunchdarklyProvider","doc":"A provider for Launchdarkly.","ref":"OpenFeature.Providers.LaunchdarklyProvider.html"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.get_boolean_value/4","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#get_boolean_value/4"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.get_string_value/4","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#get_string_value/4"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.init/1","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#init/1"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.new/1","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#new/1"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.set_name/2","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#set_name/2"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.set_sdk_key/2","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#set_sdk_key/2"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.wait_for_initialized/2","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#wait_for_initialized/2"},{"type":"function","title":"OpenFeature.Providers.LaunchdarklyProvider.wait_for_initialized/4","doc":"","ref":"OpenFeature.Providers.LaunchdarklyProvider.html#wait_for_initialized/4"},{"type":"module","title":"OpenFeature.Providers.NoOpProvider","doc":"","ref":"OpenFeature.Providers.NoOpProvider.html"},{"type":"function","title":"OpenFeature.Providers.NoOpProvider.init/1","doc":"","ref":"OpenFeature.Providers.NoOpProvider.html#init/1"},{"type":"function","title":"OpenFeature.Providers.NoOpProvider.terminate/0","doc":"","ref":"OpenFeature.Providers.NoOpProvider.html#terminate/0"},{"type":"module","title":"OpenFeature.Store","doc":"The OpenFeature.Store is a GenServer that holds the current provider and global context.","ref":"OpenFeature.Store.html"},{"type":"function","title":"OpenFeature.Store.child_spec/0","doc":"","ref":"OpenFeature.Store.html#child_spec/0"},{"type":"function","title":"OpenFeature.Store.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"OpenFeature.Store.html#child_spec/1"},{"type":"function","title":"OpenFeature.Store.get_global_context/0","doc":"","ref":"OpenFeature.Store.html#get_global_context/0"},{"type":"function","title":"OpenFeature.Store.get_provider/0","doc":"","ref":"OpenFeature.Store.html#get_provider/0"},{"type":"function","title":"OpenFeature.Store.set_global_context/1","doc":"","ref":"OpenFeature.Store.html#set_global_context/1"},{"type":"function","title":"OpenFeature.Store.set_provider/2","doc":"","ref":"OpenFeature.Store.html#set_provider/2"},{"type":"function","title":"OpenFeature.Store.start_link/0","doc":"","ref":"OpenFeature.Store.html#start_link/0"},{"type":"module","title":"OpenFeature.Supervisor","doc":"The top-level supervisor for OpenFeature.","ref":"OpenFeature.Supervisor.html"},{"type":"function","title":"OpenFeature.Supervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"OpenFeature.Supervisor.html#child_spec/1"},{"type":"function","title":"OpenFeature.Supervisor.start_link/1","doc":"","ref":"OpenFeature.Supervisor.html#start_link/1"},{"type":"extras","title":"OpenfeatureElixir","doc":"# OpenfeatureElixir\n\n[OpenFeature is an open specification that provides a vendor-agnostic, community-driven API for feature flagging that works with your favorite feature flag management tool.](https://openfeature.dev)\n\n```elixir\n  ldProviderConfig =\n    OpenFeature.Providers.LaunchdarklyProvider.new()\n    |> OpenFeature.Providers.LaunchdarklyProvider.set_sdk_key(System.get_env(\"LD_SDK_KEY\"))\n\n  OpenFeature.set_provider(\n    OpenFeature.Providers.LaunchdarklyProvider,\n    ldProviderConfig\n  )\n\n  globalContext =\n    OpenFeature.Context.new_targeted_context(\"user-dov\", %{\n      kind: \"user-other\",\n      name: \"Dov\"\n    })\n\n  OpenFeature.set_global_context(globalContext)\n\n  # Create a client using the default provider\n  client = OpenFeature.Client.new()\n\n  value = OpenFeature.Client.get_boolean_value(client, \"test-flag-for-demo\", false\n```","ref":"readme.html"},{"type":"extras","title":"Installation - OpenfeatureElixir","doc":"```elixir\ndef deps do\n  [\n    {:openfeature_elixir, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}